{
	"pages": [
		// pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
		{
			"path": "pages/index/index",
			"style": {
				"navigationBarTitleText": "捷道WMS",
        "navigationBarTextStyle": "black",
        "navigationBarBackgroundColor": "#ffffff"
			}
		},
    {
      "path": "pages/login/login",
      "style": {
        "navigationStyle": "custom",
        // 设置为 true 则页面整体不能上下滚动（bounce效果），只在页面配置中有效，在globalStyle中设置无效	微信小程序（iOS）、百度小程序（iOS）
        "disableScroll": true
      }
    },
    {
      "path": "pages/login/reg",
      "style": {
        "navigationStyle": "custom",
        "disableScroll": true
      }
    },
		{
			"path": "pages/warehousing/list",
			"style": {
				"navigationBarTitleText": "待入仓列表",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/warehousing/detail",
			"style": {
				"navigationBarTitleText": "订单信息"
			}
		},
		{
			"path": "pages/warehousing/warehousing",
			"style": {
				"navigationBarTitleText": "货物信息"
			}
		},
		{
			"path": "pages/warehousing/warehousing-confirm",
			"style": {
				"navigationBarTitleText": "确认信息"
			}
		},
		{
			"path": "pages/warehousingAir/list",
			"style": {
				"navigationBarTitleText": "待入仓列表",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/warehousingAir/detail",
			"style": {
				"navigationBarTitleText": "订单信息"
			}
		},
		{
			"path": "pages/warehousingAir/warehousing",
			"style": {
				"navigationBarTitleText": "货物信息"
			}
		},
		{
			"path": "pages/warehousingAir/warehousing-confirm",
			"style": {
				"navigationBarTitleText": "确认信息"
			}
		},
    {
			"path": "pages/unloadCabinet/list",
			"style": {
				"navigationBarTitleText": "待卸柜列表",
				"enablePullDownRefresh": true
			}
		},
    {
			"path": "pages/unloadCabinet/detail",
			"style": {
				"navigationBarTitleText": "货柜详情",
				"enablePullDownRefresh": true
			}
		},
	{
		"path": "pages/unloadCabinet/apply",
		"style": {
			"navigationBarTitleText": "确认信息",
			"enablePullDownRefresh": true
		}
	},
	{
		"path": "pages/unloadCabinet/location",
		"style": {
			"navigationBarTitleText": "储位"
		}
	},
    {
			"path": "pages/warehouseAdjustment/list",
			"style": {
				"navigationBarTitleText": "调仓待入仓列表",
				"enablePullDownRefresh": true
			}
		},
    {
			"path": "pages/warehouseAdjustment/detail",
			"style": {
				"navigationBarTitleText": "订单信息",
				"enablePullDownRefresh": true
			}
		},
    {
			"path": "pages/ExitWarehouse/list",
			"style": {
				"navigationBarTitleText": "海运退场货柜列表",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/ExitWarehouseAir/list",
			"style": {
				"navigationBarTitleText": "空运退场到仓列表",
				"enablePullDownRefresh": true
			}
		},
    {
			"path": "pages/ExitWarehouse/detail",
			"style": {
				"navigationBarTitleText": "退场货柜详情",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/ExitWarehouseAir/detail",
			"style": {
				"navigationBarTitleText": "空运退场到仓详情",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/ExitWarehouseAir/split",
			"style": {
				"navigationBarTitleText": "拆单",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/loading/list",
			"style": {
				"navigationBarTitleText": "预装柜列表",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/loading/detail",
			"style": {
				"navigationBarTitleText": "开始装柜",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/loading/patch",
			"style": {
				"navigationBarTitleText": "未预装订单列表",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/loading/loading-confirm",
			"style": {
				"navigationBarTitleText": "装柜完成"
			}
		},
		{
			"path": "pages/warehousing/location",
			"style": {
				"navigationBarTitleText": "储位"
			}
		},
		{
			"path": "pages/warehousingAir/location",
			"style": {
				"navigationBarTitleText": "储位"
			}
		},
    {
			"path": "pages/transferWarehouseOut/list",
			"style": {
				"navigationBarTitleText": "调仓待出仓列表",
				"enablePullDownRefresh": true
			}
		},
    {
			"path": "pages/transferWarehouseOut/detail",
			"style": {
				"navigationBarTitleText": "调仓确认出仓",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/tally/list",
			"style": {
				"navigationBarTitleText": "海运待理货货柜列表",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/tallyAir/list",
			"style": {
				"navigationBarTitleText": "空运待理货货柜列表",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/tally/detail",
			"style": {
				"navigationBarTitleText": "理货详情",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/tally/relatedOrder",
			"style": {
				"navigationBarTitleText": "关联单",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/tallyAir/detail",
			"style": {
				"navigationBarTitleText": "空运理货详情",
				"enablePullDownRefresh": true
			}
		}
	    ,{
            "path" : "pages/updateView/updateView",
            "style" :
            {
                 "navigationStyle": "custom",
                "enablePullDownRefresh": false
            }

        }
        ,{
            "path" : "pages/certificateSearch/certificateSearch",
            "style" :
            {
                "navigationBarTitleText": "证件查询",
                "enablePullDownRefresh": false
            }

        },
		{
				"path": "pages/airWarehouseOut/list",
				"style": {
					"navigationBarTitleText": "空运待出仓列表",
					"enablePullDownRefresh": true
				}
			}
			,{
				"path": "pages/airWarehouseOut/airStartcheckOut",
				"style": {
					"navigationBarTitleText": "空运出仓",
					"enablePullDownRefresh": true
				}
			}
        ,{
            "path" : "pages/packTogetherSearch/packTogetherSearch",
            "style" :
            {
                "navigationBarTitleText": "合包查询",
                "enablePullDownRefresh": false
            }

        }
        ,{
            "path" : "pages/airUnloadCabinet/airUnloadCabinet",
            "style" :
            {
                "navigationBarTitleText": "空运待到仓列表",
                "enablePullDownRefresh": false
            }

        },
		{
			"path": "pages/airUnloadCabinet/detail",
			"style": {
				"navigationBarTitleText": "货柜详情",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/stocking/index",
			"style": {
				"navigationBarTitleText": "备货订单列表",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/stocking/stocking",
			"style": {
				"navigationBarTitleText": "备货",
				"enablePullDownRefresh": false
			}
		},
		{
			"path": "pages/stocking/history",
			"style": {
				"navigationBarTitleText": "打包历史",
				"enablePullDownRefresh": false
			}
        },
		{
			"path": "pages/stocking/chooseOrderProducts",
			"style": {
				"navigationBarTitleText": "选择订单商品",
				"enablePullDownRefresh": false
			}
		},
		{
			"path" : "pages/ExitWarehouse/split",
			"style" :
			{
				"navigationBarTitleText": "退场拆单",
				"enablePullDownRefresh": false
			}

		},
		{
			"path" : "pages/mergePkg/index",
			"style" :
			{
				"navigationBarTitleText": "合包装箱",
				"enablePullDownRefresh": false
			}
		},
		{
			"path" : "pages/mergePkg/detail",
			"style" :
			{
				"navigationBarTitleText": "合包详情",
				"enablePullDownRefresh": false
			}
		},
		{
			"path" : "pages/mergePkg/package",
			"style" :
			{
				"navigationBarTitleText": "装箱",
				"enablePullDownRefresh": false
			}
		},
		{
			"path" : "pages/mergePkg/search",
			"style" :
			{
				"navigationBarTitleText": "搜索",
				"enablePullDownRefresh": false
			}
		},
		{
			"path" : "pages/mergePkg/patch",
			"style" :
			{
				"navigationBarTitleText": "合包补单",
				"enablePullDownRefresh": false
			}
		},
		{
			"path" : "pages/utils/media",
			"style" :
			{
				"navigationBarTitleText": "查看影像",
				"enablePullDownRefresh": false
			}
		},
		{
			"path" : "pages/utils/player",
			"style" :
			{
				"navigationBarTitleText": "播放视频",
				"enablePullDownRefresh": false
			}
		},
		{
			"path" : "pages/cons/list",
			"style" :
			{
				"navigationBarTitleText": "集运待签收列表",
				"enablePullDownRefresh": false
			}
		},
		{
			"path" : "pages/cons/components/createCons",
			"style" :
			{
				"navigationBarTitleText": "新建包裹"
			}
		},
		{
			"path" : "pages/cons/components/signCons",
			"style" :
			{
				"navigationBarTitleText": "包裹签收"
			}
		},
		{
			"path" : "pages/cons/components/batchSignCons",
			"style" :
			{
				"navigationBarTitleText": "批量签收包裹"
			}
		},
		{
			"path": "pages/cons/components/location",
			"style": {
				"navigationBarTitleText": "储位"
			}
		},
		{
			"path" : "pages/cons/components/quickSignCons",
			"style" :
			{
				"navigationBarTitleText": "快速签收"
			}
		},
		{
			"path" : "pages/cons/inspectGoodList",
			"style" :
			{
				"navigationBarTitleText": "验货包裹"
			}
		},
		{
			"path" : "pages/cons/components/detailCons",
			"style" :
			{
				"navigationBarTitleText": "包裹信息"
			}
		}
	],
	"globalStyle": {
		"navigationBarTextStyle": "white",
		"navigationBarTitleText": "捷道WMS",
		"navigationBarBackgroundColor": "#2f4dae",
		"backgroundColor": "#FFFFFF"
	},
	//横屏配置，全局屏幕旋转设置(仅 APP/微信/QQ小程序)，支持 auto / portrait / landscape
	"pageOrientation": "portrait",
	//原生底栏
	"tabBar": {},
	//传统vue组件，需要安装、引用、注册，三个步骤后才能使用组件。easycom将其精简为一步。
	//只要组件安装在项目的components目录下，并符合components/组件名称/组件名称.vue目录结构。
	//就可以不用引用、注册，直接在页面中使用
	"easycom": {
		"autoscan": true,
		"custom": {
			//在components里去掉了，改为用npm安装
			// "uni-(.*)": "@/components/uni-ui/uni-$1/uni-$1.vue"
      // "^uni-(.*)": "@dcloudio/uni-ui/lib/uni-$1/uni-$1.vue",
      "^uni-((?!(shadow-root|icons)).*)": "@dcloudio/uni-ui/lib/uni-$1/uni-$1.vue"
		}
	}
}
